vapier      14/08/04 01:30:06

  Modified:             gdb-7.8.ebuild gdb-9999.ebuild ChangeLog
  Log:
  Install gdb datafiles for cross-gdbs too as they need their own 
python/xml/etc... files since they can be different versions than the native 
gdb.
  
  (Portage version: 2.2.10/cvs/Linux x86_64, signed Manifest commit with key 
D2E96200)

Revision  Changes    Path
1.2                  sys-devel/gdb/gdb-7.8.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/gdb/gdb-7.8.ebuild?rev=1.2&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/gdb/gdb-7.8.ebuild?rev=1.2&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/gdb/gdb-7.8.ebuild?r1=1.1&r2=1.2

Index: gdb-7.8.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-devel/gdb/gdb-7.8.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- gdb-7.8.ebuild      30 Jul 2014 12:42:27 -0000      1.1
+++ gdb-7.8.ebuild      4 Aug 2014 01:30:06 -0000       1.2
@@ -1,6 +1,6 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/gdb/gdb-7.8.ebuild,v 1.1 
2014/07/30 12:42:27 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/gdb/gdb-7.8.ebuild,v 1.2 
2014/08/04 01:30:06 vapier Exp $
 
 EAPI="4"
 PYTHON_COMPAT=( python{2_7,3_3,3_4} )
@@ -105,6 +105,7 @@
        is_cross && myconf+=(
                --with-sysroot="${sysroot}"
                --includedir="${sysroot}/usr/include"
+               --with-gdb-datadir="\${datadir}/gdb/${CTARGET}"
        )
 
        if use server && ! use client ; then
@@ -157,7 +158,13 @@
 
        # Don't install docs when building a cross-gdb
        if [[ ${CTARGET} != ${CHOST} ]] ; then
-               rm -r "${ED}"/usr/share
+               rm -r "${ED}"/usr/share/{doc,info,locale}
+               local f
+               for f in "${ED}"/usr/share/man/*/* ; do
+                       if [[ ${f##*/} != ${CTARGET}-* ]] ; then
+                               mv "${f}" "${f%/*}/${CTARGET}-${f##*/}" || die
+                       fi
+               done
                return 0
        fi
        # Install it by hand for now:



1.29                 sys-devel/gdb/gdb-9999.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/gdb/gdb-9999.ebuild?rev=1.29&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/gdb/gdb-9999.ebuild?rev=1.29&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/gdb/gdb-9999.ebuild?r1=1.28&r2=1.29

Index: gdb-9999.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-devel/gdb/gdb-9999.ebuild,v
retrieving revision 1.28
retrieving revision 1.29
diff -u -r1.28 -r1.29
--- gdb-9999.ebuild     30 Jul 2014 12:42:27 -0000      1.28
+++ gdb-9999.ebuild     4 Aug 2014 01:30:06 -0000       1.29
@@ -1,6 +1,6 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/gdb/gdb-9999.ebuild,v 1.28 
2014/07/30 12:42:27 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/gdb/gdb-9999.ebuild,v 1.29 
2014/08/04 01:30:06 vapier Exp $
 
 EAPI="4"
 PYTHON_COMPAT=( python{2_7,3_3,3_4} )
@@ -105,6 +105,7 @@
        is_cross && myconf+=(
                --with-sysroot="${sysroot}"
                --includedir="${sysroot}/usr/include"
+               --with-gdb-datadir="\${datadir}/gdb/${CTARGET}"
        )
 
        if use server && ! use client ; then
@@ -157,7 +158,13 @@
 
        # Don't install docs when building a cross-gdb
        if [[ ${CTARGET} != ${CHOST} ]] ; then
-               rm -r "${ED}"/usr/share
+               rm -r "${ED}"/usr/share/{doc,info,locale}
+               local f
+               for f in "${ED}"/usr/share/man/*/* ; do
+                       if [[ ${f##*/} != ${CTARGET}-* ]] ; then
+                               mv "${f}" "${f%/*}/${CTARGET}-${f##*/}" || die
+                       fi
+               done
                return 0
        fi
        # Install it by hand for now:



1.273                sys-devel/gdb/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/gdb/ChangeLog?rev=1.273&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/gdb/ChangeLog?rev=1.273&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/gdb/ChangeLog?r1=1.272&r2=1.273

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-devel/gdb/ChangeLog,v
retrieving revision 1.272
retrieving revision 1.273
diff -u -r1.272 -r1.273
--- ChangeLog   1 Aug 2014 09:46:02 -0000       1.272
+++ ChangeLog   4 Aug 2014 01:30:06 -0000       1.273
@@ -1,6 +1,12 @@
 # ChangeLog for sys-devel/gdb
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/gdb/ChangeLog,v 1.272 2014/08/01 
09:46:02 armin76 Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/gdb/ChangeLog,v 1.273 2014/08/04 
01:30:06 vapier Exp $
+
+  04 Aug 2014; Mike Frysinger <[email protected]> gdb-7.8.ebuild,
+  gdb-9999.ebuild:
+  Install gdb datafiles for cross-gdbs too as they need their own
+  python/xml/etc... files since they can be different versions than the native
+  gdb.
 
   01 Aug 2014; Raúl Porcel <[email protected]> gdb-7.6.2.ebuild:
   sparc stable wrt #501528




Reply via email to